Message: Re: Adding Qt support to Geant4.9.6 under VS2010 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: Adding Qt support to Geant4.9.6 under VS2010 

Forum: Installation and Configuration
Re: None Adding Qt support to Geant4.9.6 under VS2010 (Ivan Brilkov)
Date: 12 Nov, 2013
From: Ben Morgan <Ben Morgan>

On Tue, 12 Nov 2013 07:19:06 GMT, Ivan Brilkov wrote:
> Hi
> I'm trying to add Qt visualization to N03 because OGL visualization doesn't show detector configuration only particle tracks(I decided that it is driver problem, but video driver update doesn't make sense). 
> 
> CMAKE found Qt 4.8.5, and re-build of GEANT is already done, but when I try to build N03 with G4UI_USE option It says that available UI sessions only Win32, GAG and csh. 

Does the Geant4Config.cmake file that your build of N03 contain the line set(Geant4_qt_FOUND ON)? If not, then your Geant4 installation didn't get built with Qt support. Otherwise, the standard CMakeLists as supplied with the examples will pick up and enable Qt is it's supported by the Geant4 installation detected.

Cheers,

Ben

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Adding Qt support to Geant4.9.6 under VS2010   (Ivan Brilkov - 12 Nov, 2013)
(_ None: Re: Adding Qt support to Geant4.9.6 under VS2010   (Ivan Brilkov - 14 Nov, 2013)
 Add Message Add Message
to: "Re: Adding Qt support to Geant4.9.6 under VS2010"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]